package org.well.well.base;


public enum DeviceTypeEnum {

    Noise("噪声记录仪", 1),
    WaterMeter("远传水表", 2),
    MultiLeak("多功能漏损监测仪", 3),
    Lamp("路灯监测仪", 4),
    Liquid("液位监测仪", 5),
    Methane("燃气智能监测终端", 6),
    Well("井盖状态监测仪", 7),
    WasteGas("有害气体监测仪", 8),
    CorrEnv("保温层下腐蚀环境监测仪", 9),
    CorrRate("保温层下腐蚀速率监测仪", 10),
    TempPressure("温度压力监测仪", 11),
    FireHydrant("消防栓防盗水监测仪", 12),
    TempHumi("温湿度监测仪", 13),
    Concentrator("数据集中器", 14),
    Lamphouse("灯箱监测仪", 15),
//    Dig("开挖监测仪", 16),
    NoiseDig("噪声开挖监测仪", 17),
    Locator("井盖定位监测仪", 18),
    Meter("水质监测仪", 19),
    FLOWGAUGE("流量计", 20),
    RAINGAUGE("雨量计", 21),
    LG("燃气液位监测仪", 22);


    // 成员变量
    private String name;
    private int index;

    // 构造方法
    private DeviceTypeEnum(String name, int index) {
        this.name = name;
        this.index = index;
    }

    //覆盖方法
    @Override
    public String toString() {
        return this.name;
    }
}